#include "colors.inc"
#include "textures.inc"
#include "camera.inc"
#if (file_exists("global_settings.inc"))
	#include "global_settings.inc"
#end

#declare maincamera =
camera
{
	location	<0,  0, -0.1>	// <X Y Z>
	angle 	gl_angle
	up		y              	// which way is +up <X Y Z>
	right		aspect_ratio*x         	// which way is +right <X Y Z> and aspect ratio
	look_at	<0, 0, 0> 	// point center of view at this point <X Y Z>
}

// Lights positions updated 2004-09-14 for trying to get more 
// consistency with the GL preview

 #declare light1 =
 	light_source { <-130, 150, -10> color White }
// GL: <-2, 1.5, 3>
 #declare light2 =
	light_source { <130, 300, 5>   color 0.5*White }
// <0.25,0.1,0.0> }
// GL: <2, 1, -1>

object
{
height_field {
	png "test.png"
	smooth
	water_level 0.001
}
	scale < 1.0, 0.3, 1.0 >
	translate <-.5, 0.0, -.5>
	texture
		{
		pigment { color <0.75,0.5,0.3>}
		}
}

light_source {light1 rotate y*rot_y}
light_source {light2 rotate y*rot_y}

camera {maincamera
		translate <0+tr_x,0.05+tr_y,tr_z>
		rotate <rot_x,0+rot_y,0+rot_z> }
